class Tilt
	attr_accessor :name, :rules_text, :effect, :causing, :ending, :environmental, :authors

	def initialize(name:, rules_text:, effect:, causing:, ending:, environmental: false	, authors:)
		@name = name
		@rules_text = rules_text
		@effect = effect
		@causing = causing
		@ending = ending
		@environmental = environmental
		@authors = authors
	end

	def full_title
		if environmental
			"#{name} (Environmental)"
		else
			name
		end
	end

	def environmental?
		environmental
	end
end